[solved] BATTLEOPENEX was undocumented - Page 2

[solved] BATTLEOPENEX was undocumented

Discuss development of lobby clients, server, autohosts and auto-download software.

Moderators: Moderators, Lobby Developers

gajop
Moderator
Posts: 3023
Joined: 05 Aug 2009, 20:42

Re: [solved] BATTLEOPENEX was undocumented

Post by gajop » 26 Mar 2013, 19:17

Problem: Authenticity of spring static downloads (due to MITM attacks and what not)
Solution: Create a certificate and then just sign all the static downloads.
0 x

zerver
Spring Developer
Posts: 1358
Joined: 16 Dec 2006, 20:59

Re: [solved] BATTLEOPENEX was undocumented

Post by zerver » 26 Mar 2013, 20:37

abma wrote:security risk? i don't see a big difference between typing in an url, download a program, run it and run a lobby which (maybe asks before) downloads a program and runs it.
There is a difference. With the manual download, you can see where the link points, while with an automatic download system you usually have no clue who uploaded it.

Yeah, to have the files signed by the author might be the solution. Or only allow engines compiled by buildbot, uploaded from springrts.com/dl.
0 x

p4wl
Posts: 6
Joined: 20 Oct 2013, 23:50

Re: [solved] BATTLEOPENEX was undocumented

Post by p4wl » 08 Dec 2013, 22:28

Hello everyone,

what happened to that documentation? If i read the thread correctly, it was documented at some time? The protocol description currently doesn't include BATTLEOPENEX. Also, the 'eb' flag isn't mentioned in the comatibility flags list.

BATTLEOPENED contains the following:
Sent by the server to all registered users, when a new battle has been opened. ( Compatibility-Flag need: 'eb' )
Is that correct?
ZKL sends 'eb' but receives BATTLEOPENEDEX instead of BATTLEOPENED as far as i can see.

Furthermore, the TASSERVER command sent by springrts.com:8200 indicates 0.36 as lobby protocol version, but seems to understand 0.37. What is correct?

Is springrts.com:8200 the only lobby server availalable?

Best regards,
-P-
0 x

abma
Spring Developer
Posts: 3553
Joined: 01 Jun 2009, 00:08

Re: [solved] BATTLEOPENEX was undocumented

Post by abma » 08 Dec 2013, 23:40

doc was wrong, i've fixed it, thx!

eb and BATTLEOPENEDEX is deprecated. use cl and improved BATTLEOPEN.

uberserver understands 0.36 and most of 0.37 but not all. version wasn't set to 0.37 as it would break some clients.

i don't know about other noteworthy servers, also uberserver is the only up to date / maintained lobby server implementation.

also current lobby server already annoys in MOTD about missing / wrong compatibility flags.
0 x

Post Reply

Return to “Lobby Clients & Server”